Bug 15987 - Acq module fails with undefined subroutine &main::GetCurrency
Summary: Acq module fails with undefined subroutine &main::GetCurrency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 11622 15049 15084
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 20:53 UTC by Héctor Eduardo Castro Avalos
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15987: Fix undefined subroutine &main::GetCurrency in acqui-home.pl (1.42 KB, patch)
2016-03-07 08:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15987: Fix undefined subroutine &main::GetCurrency in opac-account-pay (3.06 KB, patch)
2016-03-07 08:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-03-04 20:53:09 UTC
Acq module fails with undefined subroutine &main::GetCurrency
Comment 1 Jonathan Druart 2016-03-07 08:17:30 UTC
Created attachment 48724 [details] [review]
Bug 15987: Fix undefined subroutine &main::GetCurrency in acqui-home.pl

Bug 15987 and bug 15049 were competing the push to master status at the
same time. Bug 15987 removed the GetCurrency status and bug 15049
reintrocuced one occurrence of this subroutine.

Test plan:
Confirm that the test plan for 15049 still passes.
Comment 2 Jonathan Druart 2016-03-07 08:17:33 UTC
Created attachment 48725 [details] [review]
Bug 15987: Fix undefined subroutine &main::GetCurrency in opac-account-pay

Bug 15987 and bug 11622 were competing the push to master status at the
same time. Bug 15987 removed the GetCurrency status and bug 11622
reintroduced one occurrence of this subroutine.

Test plan:
Confirm that the test plan for 11622 still passes.
Comment 3 Kyle M Hall 2016-03-07 15:18:25 UTC
(In reply to Jonathan Druart from comment #2)
> Created attachment 48725 [details] [review] [review]
> Bug 15987: Fix undefined subroutine &main::GetCurrency in opac-account-pay
> 
> Bug 15987 and bug 11622 were competing the push to master status at the
> same time. Bug 15987 removed the GetCurrency status and bug 11622
> reintroduced one occurrence of this subroutine.
> 
> Test plan:
> Confirm that the test plan for 11622 still passes.

Jonathan, I added a qa followup to bug 15084 that fixes the same issues. Do you think it would be better to close this bug, or to revert my patch and push this bug through the community process?
Comment 4 Katrin Fischer 2016-03-07 22:21:32 UTC
Hm, the acq start page seems to be ok now in master, but I failed to test the paypal related page.

It asks for a module that I seem to be missing? I was not able to fix that right away.

[Mon Mar 07 23:16:02.290772 2016] [cgi:error] [pid 32291] [client 127.0.0.1:57089] AH01215: Can't locate URL/Encode.pm in @INC (you may need to install the URL::Encode module) (@INC contains: /home/katrin/kohaclone /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /home/katrin/kohaclone/opac/opac-account-pay.pl line 27., referer: http://localhost/cgi-bin/koha/opac-account.pl
[Mon Mar 07 23:16:02.290880 2016] [cgi:error] [pid 32291] [client 127.0.0.1:57089] AH01215: BEGIN failed--compilation aborted at /home/katrin/kohaclone/opac/opac-account-pay.pl line 27., referer: http://localhost/cgi-bin/koha/opac-account.pl
[Mon Mar 07 23:16:02.291551 2016] [cgi:error] [pid 32291] [client 127.0.0.1:57089] End of script output before headers: opac-account-pay.pl, referer: http://localhost/cgi-bin/koha/opac-account.pl
Comment 5 Jonathan Druart 2016-03-08 07:55:15 UTC
(In reply to Kyle M Hall from comment #3)
> (In reply to Jonathan Druart from comment #2)
> > Created attachment 48725 [details] [review] [review] [review]
> > Bug 15987: Fix undefined subroutine &main::GetCurrency in opac-account-pay
> > 
> > Bug 15987 and bug 11622 were competing the push to master status at the
> > same time. Bug 15987 removed the GetCurrency status and bug 11622
> > reintroduced one occurrence of this subroutine.
> > 
> > Test plan:
> > Confirm that the test plan for 11622 still passes.
> 
> Jonathan, I added a qa followup to bug 15084 that fixes the same issues. Do
> you think it would be better to close this bug, or to revert my patch and
> push this bug through the community process?

If you tested the paypal stuff, I am fine with your patch (I have not tested it!)
Comment 6 Jonathan Druart 2016-03-08 07:55:57 UTC
(In reply to Katrin Fischer from comment #4)
> Hm, the acq start page seems to be ok now in master, but I failed to test
> the paypal related page.
> 
> It asks for a module that I seem to be missing? I was not able to fix that
> right away.
> 
> [Mon Mar 07 23:16:02.290772 2016] [cgi:error] [pid 32291] [client
> 127.0.0.1:57089] AH01215: Can't locate URL/Encode.pm in @INC (you may need
> to install the URL::Encode module) (@INC contains: /home/katrin/kohaclone
> /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2
> /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18
> /usr/local/lib/site_perl .) at
> /home/katrin/kohaclone/opac/opac-account-pay.pl line 27., referer:
> http://localhost/cgi-bin/koha/opac-account.pl
> [Mon Mar 07 23:16:02.290880 2016] [cgi:error] [pid 32291] [client
> 127.0.0.1:57089] AH01215: BEGIN failed--compilation aborted at
> /home/katrin/kohaclone/opac/opac-account-pay.pl line 27., referer:
> http://localhost/cgi-bin/koha/opac-account.pl
> [Mon Mar 07 23:16:02.291551 2016] [cgi:error] [pid 32291] [client
> 127.0.0.1:57089] End of script output before headers: opac-account-pay.pl,
> referer: http://localhost/cgi-bin/koha/opac-account.pl

URL::Encode does not seem to be packaged in our repo.
See the original bug report for the discussion about this module.